## org.hibernate.engine.jdbc.batch.spi
Interface BatchObserver

    public interface BatchObserver

An observer contract for batch events.

Method Summary
`void` `batchExplicitlyExecuted()` Indicates explicit execution of the batch via a call to `Batch.execute()`.
`void` `batchImplicitlyExecuted()` Indicates an implicit execution of the batch.

Method Detail

### batchExplicitlyExecuted

    void batchExplicitlyExecuted()

  Indicates explicit execution of the batch via a call to `Batch.execute()`.

### batchImplicitlyExecuted

    void batchImplicitlyExecuted()

  Indicates an implicit execution of the batch.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.